Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.junit
Class JUnitTestFramework

    java.lang.Object
      org.gradle.api.tasks.testing.AbstractTestFramework
          org.gradle.external.junit.JUnitTestFramework

    class JUnitTestFramework
    extends AbstractTestFramework

author:
  Tom Eyckmans

Field Summary

Fields inherited from class AbstractTestFramework
name

Constructor Summary
`JUnitTestFramework()`

Method Summary
`void` | `execute(Project project, Test testTask, Collection includes, Collection excludes)`
`AntJUnitExecute` | `getAntJUnitExecute()`
`AntJUnitReport` | `getAntJUnitReport()`
`JUnitOptions` | `getOptions()`
`Set` | `getTestClassNames()`
`void` | `initialize(Project project, Test testTask)`
`boolean` | `isTestClass(File testClassFile)`
`void` | `prepare(Project project, Test testTask)`
`void` | `report(Project project, Test testTask)`
`void` | `setAntJUnitExecute(AntJUnitExecute antJUnitExecute)`
`void` | `setAntJUnitReport(AntJUnitReport antJUnitReport)`
`void` | `setOptions(JUnitOptions options)`

Methods inherited from class AbstractTestFramework
getName

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### JUnitTestFramework

    public JUnitTestFramework()

Method Detail

### execute

    public void execute(Project project, Test testTask, Collection includes, Collection excludes)

### getAntJUnitExecute

    public AntJUnitExecute getAntJUnitExecute()

### getAntJUnitReport

    public AntJUnitReport getAntJUnitReport()

### getOptions

    public JUnitOptions getOptions()

### getTestClassNames

    public Set getTestClassNames()

### initialize

    public void initialize(Project project, Test testTask)

### isTestClass

    public boolean isTestClass(File testClassFile)

### prepare

    public void prepare(Project project, Test testTask)

### report

    public void report(Project project, Test testTask)

### setAntJUnitExecute

    public void setAntJUnitExecute(AntJUnitExecute antJUnitExecute)

### setAntJUnitReport

    public void setAntJUnitReport(AntJUnitReport antJUnitReport)

### setOptions

    public void setOptions(JUnitOptions options)

Groovy Documentation